%define anolis_release 1

Name:           python-tox-current-env
Version:        0.0.11
Release:        %{anolis_release}%{?dist}
Summary:        Tox plugin to run tests in current Python environment

License:        MIT
URL:            https://github.com/fedora-python/tox-current-env
Source0:        https://github.com/fedora-python/tox-current-env/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
The tox-current-env plugin allows to run tests in current Python environment.


%package -n     python3-tox-current-env
Summary:        %{summary}

%description -n python3-tox-current-env
The tox-current-env plugin allows to run tests in current Python environment.

%package -n     python3-tox-current-env-doc
Summary:        %{summary}

%description -n python3-tox-current-env-doc
doc files for python3-tox-current-env

%prep
%autosetup -n tox-current-env-%{version}


%generate_buildrequires
# Don't use %%pyproject_buildrequires -t/-e to avoid a build dependency loop
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tox_current_env


%check
# hooks[34].py are imported in hooks.py based on tox version so we have to
# exclude them here.
%pyproject_check_import -e '*.hooks?'
# deselected tests run tox without the options for this plugin and hence they need internet
%pytest -k "not regular and not noquiet_installed_packages[None]"


%files -n python3-tox-current-env -f %{pyproject_files}

%files -n python3-tox-current-env-doc
%doc README.rst


%changelog
* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 0.0.11-1
- package init from upstream
